@echo off
rem Zip up a wxOS2 distribution.
set src=%wxwin
set dest=%src\deliver
set webfiles=c:\wx2dev\wxWebSite

Rem Set this to the required version
set version=2.3.3

if "%src" == "" goto usage
if "%dest" == "" goto usage
if "%1" == "-help" goto usage
if "%1" == "--help" goto usage
if "%1" == "/?" goto usage
echo About to archive an external wxOS2 distribution:
echo   From   %src
echo   To     %dest
echo CTRL-C if this is not correct.
pause

erase %dest\wxOS2*.zip

if not direxist %dest mkdir %dest
if direxist %dest%\wxWindows-%version% erase /sxyz %dest%\wxWindows-%version%

echo Zipping wxOS2 distribution

cd %src%
Rem copy %src%\include\wx\os2\setup0.h %src%\include\wx\setup.h

zip32 -@ %dest\wxOS2-%version%.zip < %src\distrib\msw\generic.rsp
zip32 -@ -u %dest%\wxOS2-%version%.zip < %src\distrib\msw\os2.rsp
zip32 -@ -u %dest%\wxOS2-%version%.zip  < %src\distrib\msw\jpeg.rsp
zip32 -@ -u %dest%\wxOS2-%version%.zip < %src\distrib\msw\tiff.rsp
zip32 -u -@ %dest%\wxOS2-%version%.zip < %src%\distrib\msw\tiff.rsp
zip32 -u -@ %dest%\wxOS2-%version%.zip < %src%\distrib\msw\jpeg.rsp
zip32 -u -@ %dest%\wxOS2-%version%.zip < %src%\distrib\msw\utils.rsp
zip32 -u -@ %dest%\wxOS2-%version%.zip < %src%\distrib\msw\tex2rtf.rsp
zip32 -u -@ %dest%\wxOS2-%version%.zip < %src%\distrib\msw\dialoged.rsp
zip32 -u -@ %dest%\wxOS2-%version%.zip < %src%\distrib\msw\ogl.rsp
zip32 -u -@ %dest%\wxOS2-%version%.zip < %src%\distrib\msw\xml.rsp
zip32 -u -@ %dest%\wxOS2-%version%.zip < %src%\distrib\msw\contrib.rsp
zip32 -u -@ %dest%\wxOS2-%version%.zip < %src%\distrib\msw\makefile.rsp

Rem erase /Y %src%\include\wx\setup.h

if direxist %dest%\wxWindows-%version% erase /sxyz %dirname%\wxWindows-%version%

mkdir %dest%\wxWindows-%version%
cd %dest%\wxWindows-%version%
unzip32 ..\wxOS2-%version%.zip
erase /Y src\gtk\descrip.mms src\motif\descrip.mms docs\pdf\*.pdf
erase /Y src\tiff\*.mcp src\jpeg\*.mcp src\png\*.mcp src\zlib\*.mcp
erase /SXY docs\html\dialoged docs\html\tex2rtf

echo Making files lower case...
zip32 ..\wxOS2-lower.zip include/wx/os2/*.* src/os2/*.*
erase /Y include/wx\os2\*.* src\os2\*.*
unzip32 -o -L ..\wxOS2-lower.zip
erase /Y ..\wxOS2-lower.zip
cd ..

erase ..\wxOS2-%version%.zip
zip32 -r ..\wxOS2-%version%.zip %dest%/wxWindows-%version%/*

echo wxOS2 archived.

goto end

:usage
echo DOS wxWindows distribution. Zips up wxOS2.
echo.
echo "Usage: zipwxos2"

:end
